/* variables */
:root {
    --color-text: black;
    --color-background: #e8e5e5;
    --color-gray: lightgray;
    --color-blue: #2a6fa1;
    --color-green: #71a199;
    --color-white: white;
}

/* box sizing model */
html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

/* import fonts */

@font-face {
    font-family: light;
    src: url('../fonts/BrandonText-Light.otf');
}

@font-face {
    font-family: thin;
    src: url('../fonts/BrandonText-Thin.otf');
}

/* styles */
html {
    font-size: 19px;
    font-family: thin;
}
@media (min-width: 30rem) {
    html {
	font-size: 22px;	
	font-size: 3.2vh;
    }
}

strong {
    font-family: light;
}

html,
body,
.Site {
    min-height: 100vh;
}

h1, h2, h3, p {
    margin-top: 0;
}

body {
    margin: 0;
    color: var(--color-text);
}

/* site */
.Site {
    position: relative;
    
    display: flex;
    flex-direction: column;
    align-items: center;
}

.Site-bg {
    z-index: -1;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    
    background-color: var(--color-background);
    background-image: url('../img/caron.png');

    transition: background-image 700ms ease-in 200ms, background-position-y 1000ms ease-in;

    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
    background-repeat: no-repeat;
    background-position-y: 8vh;
}
@media (min-width: 75rem) {
    .Site-bg {
	background-attachment: scroll;
	background-position: right 30% top;
    }
}

/* images loaded animations  */
.Site .Site-bg {
    opacity: 0;
    transform: scale(0.95);
    transition: opacity 1000ms ease-in-out, transform 1200ms ease-in-out;
}
.Site.is-imagesLoaded .Site-bg {
    opacity: 1;
    transform: scale(1);
}

.Site .Site-title {
    opacity: 0;
    transform: translateY(10%);
    transition: opacity 800ms 400ms ease-in-out, transform 800ms ease-in-out;
}
.Site.is-imagesLoaded .Site-title {
    transform: translateY(0);
    opacity: 1;
}

.Site .Site-subtitle {
    opacity: 0;
    transform: scale(1.2);
    transition: opacity 650ms ease-in-out, transform 800ms ease-in-out;
}
.Site.is-imagesLoaded .Site-subtitle {
    transform: scale(1);
    opacity: 1;
}

.Site .Site-content {
    opacity: 0;
    transform: translateY(10%);
    transition: opacity 800ms ease-in-out, transform 1400ms ease-in-out;
}
.Site.is-imagesLoaded .Site-content {
    opacity: 1;
    transform: translateY(0);
}


/* site header and content */
.Site-header,
.Site-content {
    padding-left: 2rem;
    padding-right: 2rem;
}

.Site-header {
    text-align: center;

    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 1vh;
    max-width: 40rem;
    min-height: 80vh;
}

@media (min-width: 75rem) {
    .Site-header {
	padding-top: 18vh;
    }
}

/* site title and subtitle */
.Site-title {
    font-size: 3rem;
    font-size: 6vh;
    font-weight: normal;
}
@media (min-width: 65rem) {
    .Site-title {
	font-size: 10vh
    }
}
.Site-title a {
    color: var(--color-text);
    text-decoration: none;
    display: flex;
    align-items: baseline;
}

.Site-title a:hover {
    text-decoration: underline;
}

.Site-subtitle {
    font-size: 3rem;
    font-size: 6vh;
    display: flex;
}

.Site-title,
.Site-subtitle {
    margin-bottom: 0;
}

.Title-polymath {
    font-family: light;
    font-weight: bold;
}
.Title-vision {
    font-family: thin;
}

.Site-subtitle {
    font-family: light;
    font-weight: bold;
}

/* content and description */
.Site-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    min-height: 40vh;
    margin-bottom: 30vh;
    padding-top: 2rem;
    padding-bottom: 2rem;

}

.Site-description {
    max-width: 25rem;
    line-height: 2;
    background-color: var(--color-gray);
    padding: 1rem;
}
@media (min-width: 75rem) {
    .Site-description {
	align-self: flex-end;
	background-color: transparent;
    }
}


/* only show image on mobile, otherwise, bg img */
.Site-image {
    display: block;
    width: 100%;
}
@media (min-width: 65rem) {
    .Site-image {
	display: none;
    }
}


/* footer and contact */
.Site-contact,
.Site-footer {
    padding: 0.5rem 0.8rem;
}


.Site-contact {
    font-family: light;
    font-weight: bold;
    font-style: normal;
    color: var(--color-white);

    align-self: flex-end;

    margin-bottom: 30vh;

    background-color: var(--color-blue);
    border-top-left-radius: 0.5rem;
    border-bottom-left-radius: 0.5rem;
}

@media (min-width: 65rem) {
    .Site-contact {
	padding-right: 20vw;
    }
}

.Site-contact a {
    color: var(--color-white);
    text-decoration: none;
}

.Site-contact a:hover {
    text-decoration: underline;
}

.Site-footer {
    position: relative;
    z-index: 1;
    
    font-family: light;
    color: var(--color-white);

    align-self: flex-start;
    text-align: right;

    min-width: 60vw;
    margin-top: 50vh;
    margin-bottom: 3rem;

    background-color: var(--color-blue);
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
}

.Site-footer::before {
    display: none;
    
    content: '';

    width: 10rem;
    height: 10rem;
    position: absolute;
    bottom: 140%;
    right: 10%;
    
    /* background-image: url('../img/loading.png');
    
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat; */
}

@media (min-width: 70rem) {
    .Site-footer::before {	
	display: block;
    }
}
